<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***  […]省略記号を変更 ***/
/* https://thewppress.com/libraries/change-the-excerpt-length-and-excerpt-more/ */
function haup_change_excerpt_more( $more ) {
	if(isset( GetOP02_utility()['frontend-list-more-alternative-text'] )){
		$alt_text = GetOP02_utility()['frontend-list-more-alternative-text'];
	}else{
		$alt_text = '';
	}

	if(!empty($alt_text)){
		$ins_text = esc_html($alt_text);
	}else{
		$ins_text = esc_html(__('...read more','hima-art-utility'));
	}

	$html = '<a href="' . esc_url( get_permalink() ) . '">'.$ins_text.'</a>';

	return $html;
}
add_filter( 'excerpt_more', 'haup_change_excerpt_more' );